Subject: Re: [PATCH net] ionic: use dev_consume_skb_any outside of napi

From: Jakub Kicinski <[email-masked]>
Date: Wed, 19 Jun 2024 17:18:00 -0700

On Wed, 19 Jun 2024 17:11:08 -0700 Nelson, Shannon wrote:
> > Just pass the NAPI budget in, and if not in NAPI pass 0.
> > A bit more plumbing thru, but a lot less thinking required during
> > review..
> > --
> > pw-bot: cr  
> 
> I had a plumb-it-through solution at one point, but this is so much 
> cleaner with a simple one line fix, so much less to go wrong...

So much less to go wrong you say? I'm 75% sure the fix is buggy,
it won't work if hard irq comes during soft irq ;)